// priority: 0

console.info('REI script loading...')

// JEI ITEM REMOVALS

REIEvents.hide('item', (event) => {


event.hide('angelring:energetic_angel_ring')
event.hide('angelring:leadstone_angel_ring')
event.hide('angelring:hardened_angel_ring')
event.hide('angelring:reinforced_angel_ring')
event.hide('angelring:resonant_angel_ring')

event.hide('rfd:clay_gen_tier_1')
event.hide('rfd:clay_gen_tier_2')
event.hide('rfd:clay_gen_tier_3')
event.hide('rfd:clay_gen_tier_4')
event.hide('rfd:clay_gen_tier_5')

event.hide('rfd:clean_gen_tier_1')
event.hide('rfd:clean_gen_tier_2')
event.hide('rfd:clean_gen_tier_3')
event.hide('rfd:clean_gen_tier_4')
event.hide('rfd:clean_gen_tier_5')

event.hide('rfd:fungus_gen_tier_1')
event.hide('rfd:fungus_gen_tier_2')
event.hide('rfd:fungus_gen_tier_3')
event.hide('rfd:fungus_gen_tier_4')
event.hide('rfd:fungus_gen_tier_5')

event.hide('rfd:glowstone_gen_tier_1')
event.hide('rfd:glowstone_gen_tier_2')
event.hide('rfd:glowstone_gen_tier_3')
event.hide('rfd:glowstone_gen_tier_4')
event.hide('rfd:glowstone_gen_tier_5')

event.hide('rfd:grass_gen_tier_1')
event.hide('rfd:grass_gen_tier_2')
event.hide('rfd:grass_gen_tier_3')
event.hide('rfd:grass_gen_tier_4')
event.hide('rfd:grass_gen_tier_5')

event.hide('rfd:gravel_gen_tier_1')
event.hide('rfd:gravel_gen_tier_2')
event.hide('rfd:gravel_gen_tier_3')
event.hide('rfd:gravel_gen_tier_4')
event.hide('rfd:gravel_gen_tier_5')

event.hide('rfd:ice_gen_tier_1')
event.hide('rfd:ice_gen_tier_2')
event.hide('rfd:ice_gen_tier_3')
event.hide('rfd:ice_gen_tier_4')
event.hide('rfd:ice_gen_tier_5')

event.hide('rfd:obsidian_gen_tier_1')
event.hide('rfd:obsidian_gen_tier_2')
event.hide('rfd:obsidian_gen_tier_3')
event.hide('rfd:obsidian_gen_tier_4')
event.hide('rfd:obsidian_gen_tier_5')

event.hide('rfd:quartz_gen_tier_1')
event.hide('rfd:quartz_gen_tier_2')
event.hide('rfd:quartz_gen_tier_3')
event.hide('rfd:quartz_gen_tier_4')
event.hide('rfd:quartz_gen_tier_5')

event.hide('rfd:redstone_gen_tier_1')
event.hide('rfd:redstone_gen_tier_2')
event.hide('rfd:redstone_gen_tier_3')
event.hide('rfd:redstone_gen_tier_4')
event.hide('rfd:redstone_gen_tier_5')

event.hide('rfd:snow_gen_tier_1')
event.hide('rfd:snow_gen_tier_2')
event.hide('rfd:snow_gen_tier_3')
event.hide('rfd:snow_gen_tier_4')
event.hide('rfd:snow_gen_tier_5')

event.hide('rfd:sand_gen_tier_1')
event.hide('rfd:sand_gen_tier_2')
event.hide('rfd:sand_gen_tier_3')
event.hide('rfd:sand_gen_tier_4')
event.hide('rfd:sand_gen_tier_5')

event.hide('rfd:soulsand_gen_tier_1')
event.hide('rfd:soulsand_gen_tier_2')
event.hide('rfd:soulsand_gen_tier_3')
event.hide('rfd:soulsand_gen_tier_4')
event.hide('rfd:soulsand_gen_tier_5')

event.hide('rfd:ore_gen_tier_1')
event.hide('rfd:ore_gen_tier_2')
event.hide('rfd:ore_gen_tier_3')
event.hide('rfd:ore_gen_tier_4')
event.hide('rfd:ore_gen_tier_5')

event.hide('rfd:dye_gen_tier_1')
event.hide('rfd:dye_gen_tier_2')
event.hide('rfd:dye_gen_tier_3')
event.hide('rfd:dye_gen_tier_4')
event.hide('rfd:dye_gen_tier_5')

event.hide('rfd:crushed_netherrack_gen_tier_1')
event.hide('rfd:crushed_netherrack_gen_tier_2')
event.hide('rfd:crushed_netherrack_gen_tier_3')
event.hide('rfd:crushed_netherrack_gen_tier_4')
event.hide('rfd:crushed_netherrack_gen_tier_5')

event.hide('rfd:crushed_endstone_gen_tier_1')
event.hide('rfd:crushed_endstone_gen_tier_2')
event.hide('rfd:crushed_endstone_gen_tier_3')
event.hide('rfd:crushed_endstone_gen_tier_4')
event.hide('rfd:crushed_endstone_gen_tier_5')

event.hide('rfd:dust_gen_tier_1')
event.hide('rfd:dust_gen_tier_2')
event.hide('rfd:dust_gen_tier_3')
event.hide('rfd:dust_gen_tier_4')
event.hide('rfd:dust_gen_tier_5')

// Eventually just remove the mod

event.hide('pipez:gas_pipe')
event.hide('pipez:item_pipe')
event.hide('pipez:fluid_pipe')
event.hide('pipez:energy_pipe')
event.hide('pipez:universal_pipe')
event.hide('pipez:basic_upgrade')
event.hide('pipez:improved_upgrade')
event.hide('pipez:advanced_upgrade')
event.hide('pipez:ultimate_upgrade')
event.hide('pipez:infinity_upgrade')
event.hide('pipez:wrench')
event.hide('pipez:filter_destination_tool')




// FIN

})









// TOOLTIPS

ItemEvents.tooltip(event => {
    
event.add(
    'pipez:item_pipe',
    [
        "USE WITH CAUTION.",
        "WILL BE REMOVED WHEN BUG WITH CONVEYORS IS FIXED."
    ]
    )

event.add(
    'pipez:fluid_pipe',
    [
        "USE WITH CAUTION.",
        "WILL BE REMOVED WHEN BUG WITH CONVEYORS IS FIXED."
    ]
    )

event.add(
    'pipez:energy_pipe',
    [
        "USE WITH CAUTION.",
        "WILL BE REMOVED WHEN BUG WITH CONVEYORS IS FIXED."
    ]
    )

event.add(
    'pipez:universal_pipe',
    [
        "USE WITH CAUTION.",
        "WILL BE REMOVED WHEN BUG WITH CONVEYORS IS FIXED."
    ]
    )

event.add(
    'minecraft:netherite_block',
    [
        "Right click on block while holding an item with durability to make the item Unbreakable.",
        "BLOCK WILL BE CONSUMED."
    ]
    )





// FIN
        
})


/*
JEIEvents.removeCategories((event) => {

    //console.log(event.getCategoryIds()); //log a list of all category ids to logs/kubejs/client.txt

    //event.remove('avaritia:neutron_compressor');
});
*/